//---------------------------------------------------------------------------
#ifndef Watchdog_ThreadH
#define Watchdog_ThreadH
//---------------------------------------------------------------------------
#include <Classes.hpp>

#define WATCHDOGDELAY 3000
#define WATCHDOGWAIT 1000

//---------------------------------------------------------------------------
class Watchdog_Thread : public TThread
{
private:
    int MyTIUNo, MyEngineNo, MyRemoteNo, MyInteractiveMode;
    void __fastcall CountActiveEngines(void);
    void __fastcall FindEngines(void);

protected:
    void __fastcall Execute();

public:
    __fastcall Watchdog_Thread(bool CreateSuspended);
    __fastcall Watchdog_Thread(bool CreateSuspended, int Remote, int TIU, int Engine, int InteractiveMode);
};
//---------------------------------------------------------------------------
#endif
